Subject: Re: 83xx GPIO/EXT int in arch/powerpc/

From: Segher Boessenkool <[email-masked]>
Date: Mon, 4 Jun 2007 21:35:44 +0200

>> Probably, I need to enable them in the dts tree (?) but since it's
>> a PCI
>> device that uses a GPIO pin for signalling interrupts, I'm trying to
>> find out where and how to configure this.
>
> Wow.  Hardware designers sure like to make things easy, don't they?
>
> I'm assuming it's a PCI device on the board (and not in a slot).
>
> I believe you're ok if you explicitly define the node, and point it
> at the IPIC for its interrupt.

That's the simplest way to do it, yes (and sometimes
the only way).  I believe for Linux you can get away
with not defining any of the standard PCI properties
in that new PCI node (well you need "reg" and very very
basic stuff like that, of course).

> Something like this:
>
> pci1: pci@8000 {
> 	...
> 	my_pci_device@0 {
> 		...
> 		interrupts = <irq#, sense>;
> 		interrupt-parent = <&ipic>;
> 	}
> }

Exactly.  Please remember that "interrupts" here
is in the ipic domain and not in the PCI domain,
so get the # interrupt cells and the sense value
from the ipic.

Segher